Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common.purchase.ref
Class PurchaseManagerRefImpl

    java.lang.Object
      |
      +--examples.e2e.common.purchase.ref.PurchaseManagerRefImpl

public class PurchaseManagerRefImpl
extends java.lang.Object
implements javax.ejb.SessionBean

PurchaseManagerRefImpl is a stateless Session Bean. This bean provides: the following services:

- Reference implementation (BEA Weblogic Integration - WLI).

See Also:
  Serialized Form

Constructor Summary
`PurchaseManagerRefImpl()` Create an instance of PurchaseManagerNoOpImpl.

Method Summary
`void` | `ejbActivate()` This method is required by the EJB Specification,
`void` | `ejbCreate()` This method corresponds to the create method in the home interface
`void` | `ejbPassivate()` This method is required by the EJB Specification,
`void` | `ejbRemove()` This method is required by the EJB Specification,
`void` | `queueOrder(OrderValue aOrder, java.lang.String transactionID)`
`void` | `queuePORequest(PurchaseQuote aQuote)`
`void` | `queueQPA(QPA aQPARequest)`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Sets the session context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PurchaseManagerRefImpl

    public PurchaseManagerRefImpl()

  Create an instance of PurchaseManagerNoOpImpl.

Method Detail

### ejbActivate

    public void ejbActivate()

  This method is required by the EJB Specification,
  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  This method corresponds to the create method in the home interface

  Throws:
    javax.ejb.CreateException - if there is a communications or systems failure

### ejbPassivate

    public void ejbPassivate()

  This method is required by the EJB Specification,
  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

### ejbRemove

    public void ejbRemove()

  This method is required by the EJB Specification,
  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Sets the session context.
  Specified by:
    setSessionContext in interface javax.ejb.SessionBean

  Parameters:
    `ctx` - SessionContext Context for session

### queueOrder

    public void queueOrder(OrderValue aOrder,
                           java.lang.String transactionID)
                    throws java.lang.IllegalArgumentException,
                           ApplicationException,
                           java.rmi.RemoteException

  Parameters:
    `aOrder` - A commerce order
    `transactionID` - Payment transaction ID
  Throws:
    java.lang.IllegalArgumentException - if `aOrder` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

### queuePORequest

    public void queuePORequest(PurchaseQuote aQuote)
                        throws java.lang.IllegalArgumentException,
                               ApplicationException,
                               java.rmi.RemoteException

  Parameters:
    `aQuote` - A quote originally sent by the supplier
  Throws:
    java.lang.IllegalArgumentException - if `aQuote` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

### queueQPA

    public void queueQPA(QPA aQPARequest)
                  throws java.lang.IllegalArgumentException,
                         ApplicationException,
                         java.rmi.RemoteException

  Parameters:
    `aQPA` - Query for Price and Availability from the buyer to the supplier
  Throws:
    java.lang.IllegalArgumentException - if `aQPARequest` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved